Payout wallets

Get Current Wallet

Returns the newest wallet with isCurrent true visible to the caller.

GEThttps://api.toku.com/hris/get-current-wallet

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/hris/get-current-wallet' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "wallet": {
    "network": "string",
    "name": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "legacyMigratedAt": "string",
    "legacyModelID": 0,
    "status": "string",
    "address": "string",
    "roleInOrgID": "string",
    "destinationTag": 0,
    "tokenTypeID": "string",
    "isCurrent": true,
    "investorEntityID": "string",
    "walletID": "string",
    "memo": "string",
    "walletType": "string",
    "orgNetworkID": "string",
    "isDefault": true,
    "walletTypeCustomID": "string",
    "nickName": "string",
    "connectedViaMesh": true,
    "userDismissed": true
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Response

200Successful response
walletobject | null
Show child attributes
networkstring | null
namestring | null
createdAtstring | null
updatedAtstring | null
legacyMigratedAtstring | null
legacyModelIDnumber | null
statusstring | null
addressstring | null
roleInOrgIDstring | null
destinationTagnumber | null
tokenTypeIDstring | null
isCurrentboolean | null
investorEntityIDstring | null
walletIDstring | null
memostring | null
walletTypestring | null
orgNetworkIDstring | null
isDefaultboolean | null
walletTypeCustomIDstring | null
nickNamestring | null
connectedViaMeshboolean | null
userDismissedboolean | null
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits